Pluie de vulnérabilités sur Java pour MacOS X

Sécurité

Les failles critiques permettent une exploitation à distance. Une mise à jour est disponible

Java est encore une fois épinglé pour des problèmes de sécurité. Mais cette fois, les vulnérabilités ne concernent pas l’environnement PC mais Mac. Apple annonce ainsi avoir corrigé une kyrielle de failles dans le module qui impacte MacOS X 10.3.9 et 10.4.2.

Selon FrSirt, ces failles critiques pourraient être exploitées par des attaquants distants ou locaux afin de contourner les mesures de sécurité, recenser des informations sensibles ou obtenir des privilèges élevés. Cinq vulnérabilités ont été découvertes par Dino Dai Zovi et kf_lists. Elles résultent de problèmes dans la gestion de certains répertoires temporaires, dans la mise à jour des archives Java, dans le lancement de l’outil chargé de la mise à jour des archives Java, dans le traitement de certaines applets malformées et dans Java ServerSocket. La solution consiste à utiliser Java version 1.4.2_09 ou 1.3.1_16, téléchargeable sur le site d’Apple: http://www.apple.com/support/downloads/


Lire la biographie de l´auteur  Masquer la biographie de l´auteur